### Hierarchy

- MediaTrackSettings

## Index

### Properties

- aspectRatio
- deviceId
- echoCancellation
- facingMode
- frameRate
- groupId
- height
- sampleRate
- sampleSize
- volume
- width

## Properties

### Optional aspectRatio

aspectRatio: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:707

### Optional deviceId

deviceId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:708

### Optional echoCancellation

echoCancellation: undefined | false | true

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:709

### Optional facingMode

facingMode: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:710

### Optional frameRate

frameRate: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:711

### Optional groupId

groupId: undefined | string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:712

### Optional height

height: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:713

### Optional sampleRate

sampleRate: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:714

### Optional sampleSize

sampleSize: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:715

### Optional volume

volume: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:716

### Optional width

width: undefined | number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:717

Generated using TypeDoc